/*
 * NATDet - internal structures
 * Copyright (c) M. Ulikowski <elceef@itsec.pl>
*/


/* Factors */
#define OSGENRE 0x01
#define TSTAMP  0x02
#define TTL     0x04
#define SRCPORT 0x08
#define MSSWSS  0x10
#define SYNLEN  0x20

/* Cache */
struct nat_cache {
  u_int    ip,
           tstamp,
           time;
  char     osl[OS_LIMIT][16],
           osgenre[16],
           hostname[30];
  u_char   synlen[8],
           ttl,
           prob,
           maxprob,
           oscnt,
           synlencnt;
};


/* OS signatures */
struct fp_cache {
  char    *win, /* WSS */
          *os;  /* OS name */
  u_char  ttl,  /* TTL */
          df:1, /* DF flag */
          len;  /* length  */
};


/* configuration */
struct config {
  u_char logfile:1,
         verbose:2,
         notresolv:1,
         minprob,
         promisc:1,
         factor,
#ifndef WIN32
         iactive:1,
         detach:1;
#endif
};

